#version 330 core

layout(location=0) in vec3 position;
layout(location=1) in vec2 in_UV;

out vec2 uv;

const vec2 madd = vec2(0.5, 0.5);

void main(void)
{
	uv = position.xy * madd + madd; // scale vertex position to [0-1]
	gl_Position = vec4(position.xy, 0.0, 1.0);
}

